/*
 * MIT License
 *
 * Copyright (c) 2020 ManBang Group
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

package io.manbang.wireless.thresh.view.platform;

import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.widget.LinearLayout;

import io.flutter.plugin.platform.PlatformView;

/**
 * NativeTextView
 */
public class NativeTextView implements PlatformView {

    private Context mContext;

    private LinearLayout mMapView;

    boolean isInit;

    public NativeTextView(Context context,Object locationStr) {
        mContext = context;
        mMapView = new LinearLayout(mContext);
        mMapView.setBackgroundColor(Color.parseColor("#fff5f5f5"));
        mMapView.setLayoutParams(new LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT,
                                                               LinearLayout.LayoutParams.WRAP_CONTENT));
        isInit = true;
    }

    @Override
    public View getView() {
        if (isInit){
            isInit = false;
            mMapView.setVisibility(View.GONE);
        }else {
            mMapView.setVisibility(View.VISIBLE);
        }
        return mMapView;
    }

    @Override
    public void dispose() {
    }
}
