/*
 * MIT License
 *
 * Copyright (c) 2020 ManBang Group
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
package io.manbang.wireless.thresh.view.platform;

import io.manbang.wireless.thresh.ThreshActivity;

import java.util.Map;

import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugin.common.StandardMessageCodec;

/**
 * view注册
 */
public class ViewRegistrant implements LifecycleListener {

    public ViewRegistrant() {

    }

    public static final String NATIVE_TEXT_VIEW = "trade/native_text_view";

    public ViewFactory viewFactory;

    public void registerWith(ThreshActivity mContext, PluginRegistry registry,
                             String bundleName, String pageName) {
        final String key = ViewRegistrant.class.getCanonicalName();
        if (registry.hasPlugin(key)){
            return;
        }
        PluginRegistry.Registrar registrar = registry.registrarFor(key);
        viewFactory = new ViewFactory(mContext, StandardMessageCodec.INSTANCE, NATIVE_TEXT_VIEW);
        registrar.platformViewRegistry().registerViewFactory(NATIVE_TEXT_VIEW, viewFactory);
    }


    @Override
    public void onStart() {

    }

    @Override
    public void onStop() {

    }

    @Override
    public void onPause() {
    }

    @Override
    public void onResume() {
    }

    @Override
    public void onDestroy() {
    }

    /**
     * 刷新页面
     *
     *  methodName: 'refresh', // 需要触发的 native view 方法名，目前值有 refresh destroy，必传
     *      *     methodParams: {}, // 触发 native view 方法时传递的参数，非必传
     *      *     viewType: 'trade/short_distance_map_view', // 触发的 native view type，必传
     *      *     viewParams: {}, // 触发的 native view 当前的参数，存在参数时会传
     */
    public void refreshView(Map params){
        if (params == null){
            return;
        }
        if (viewFactory == null){
            return;
        }
        try{
            String viewType = (String) params.get("viewType");

        }catch (Exception e){
            e.printStackTrace();
        }

    }
}
